// cDDSWindow.h: interface for the cDDSWindow class.
//
//////////////////////////////////////////////////////////////////////
/*
	DirectDrawSurfaceWindow

*/
#ifndef cPictureWindow_H
#define cPictureWindow_H

#include "cWindow.h"
#include "cPicture.h"

class cPictureWindow : public cWindow{
private:
	static BOOL ClassRegistered;

protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "PictureWindow"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	cPicture *pDestPic;
	cPicture *pBackPic;
	void OnPaint(WPARAM wParam);

public:
	cPictureWindow(); // 대상 디스플레이를 필요로 함
	virtual ~cPictureWindow();

	BOOL Create(DWORD dwStyle, int x, int y, int Width, int Height, cWindow *_pParent, int id, 
		cPicture *_pDestPic, cPicture *_pBackPic);
};

#endif
